POSTAuth

/auth/reset_password

Reset Password

Resets the password for a user using a token.

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
None
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
requestauth.resetPasswordRequestYesReset Password request

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

requestBody parameterauth.resetPasswordRequest
passwordRequired
string
No description.
tokenRequired
string
No description.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/auth/reset_password' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "password": "string",
  "token": "string"
}'
Request Body (application/json)
{
  "password": "string",
  "token": "string"
}

Responses

200Successful password reset
auth.loginResponseapplication/json
Example
{
  "absences": [
    {...}
  ],
  "allowed_login_methods": [
    {...}
  ],
  "avatar": "string",
  "crafts": [
    {...}
  ],
  "dashboard_tiles": [
    {...}
  ],
  "date_last_seen": 123,
  "default_workpattern_id": 123,
  "deleted": 123,
  "email": "string",
  "email_signature": "string",
  "employment_contracts": [
    {...}
  ],
  "finance_journal_subscriptions": [
    {...}
  ],
  "first_name": "string",
  "groups": [
    {...}
  ],
  "has_password": true,
  "help": true,
  "id": 123,
  "is_admin": true,
  "is_external": true,
  "is_online": true,
  "job_subscriptions": [
    {...}
  ],
  "last_login": 123,
  "last_name": "string",
  "login_count": 123,
  "name": "string",
  "notify_email": true,
  "notify_slack": true,
  "password_date": 123,
  "permanent_token": "string",
  "permit_login": true,
  "person": {...},
  "person_id": 123,
  "sessionId": "string",
  "show_unaccountable_worktime": true,
  "sidebar_collapsed": true,
  "sidebar_disabled_at": 123,
  "sidebar_enabled_at": 123,
  "slack_user_id": "string",
  "slack_user_image": "string",
  "spaces": [
    {...}
  ],
  "task_favourites": [
    {...}
  ],
  "task_id": 123,
  "teams": [
    {...}
  ],
  "telephone": "string",
  "timer": 123,
  "token": "string",
  "user_to_spaces": [
    {...}
  ],
  "username": "string"
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}